ghc-7.0.4: The GHC API

TcPat

# Documentation

tcLetPat :: TcSigFun -> LetBndrSpec -> LPat Name -> TcSigmaType -> TcM a -> TcM (LPat TcId, a)Source

type TcSigFun = Name -> Maybe TcSigInfo Source

data TcSigInfo Source

Constructors

TcSigInfo |

Fields

sig_id :: TcId
sig_scoped :: [Name]
sig_tvs :: [TcTyVar]
sig_theta :: TcThetaType
sig_tau :: TcSigmaType
sig_loc :: SrcSpan

Instances

Outputable TcSigInfo |

type TcPragFun = Name -> [LSig Name]Source

data LetBndrSpec Source

Constructors

LetLclBndr |
LetGblBndr TcPragFun |

addInlinePrags :: TcId -> [LSig Name] -> TcM TcId Source

warnPrags :: Id -> [LSig Name] -> SDoc -> TcM ()Source

tcPat :: HsMatchContext Name -> LPat Name -> TcSigmaType -> TcM a -> TcM (LPat TcId, a)Source

tcPats :: HsMatchContext Name -> [LPat Name] -> [TcSigmaType] -> TcM a -> TcM ([LPat TcId], a)Source

newNoSigLetBndr :: LetBndrSpec -> Name -> TcType -> TcM TcId Source

newSigLetBndr :: LetBndrSpec -> Name -> TcSigInfo -> TcM TcId Source

addDataConStupidTheta :: DataCon -> [TcType] -> TcM ()Source

badFieldCon :: DataCon -> Name -> SDoc Source

polyPatSig :: TcType -> SDoc Source